echo off
echo Initiating LooksAlive Batch....
Date /t
time < nul

:top
echo Executing MainLoop....
Date /t
time < nul
osql -E -Snp:. -iLooksAliveBatch.sql  -b -n -l15 -t15 -oLooksAliveBatch.out
echo Errorlevel: %errorlevel%
if NOT ERRORLEVEL 70000 goto :FirstRetry
WAITFOR 30 
goto :top


:FirstRetry
rem Retrying First time, if success, then go back to top, else go to SecondRetry
echo First Retry at:
Date /t
time < nul
osql -E -Snp:. -iLooksAliveBatch.sql  -b -n -l15 -t15 
echo Errorlevel: %errorlevel%
if NOT ERRORLEVEL 70000 goto :SecondRetry
goto :top


:SecondRetry
rem Retrying Second time, if success, then go back to top, else go to ThirdRetry
echo Second Retry at:
Date /t
time < nul
osql -E -Snp:. -iLooksAliveBatch.sql  -b -n -l15 -t15 
echo Errorlevel: %errorlevel%
if NOT ERRORLEVEL 70000 goto :ThirdRetry
goto :top


:ThirdRetry
rem Retrying Third(last) time, if success, then go back to top, else go to GetDump
echo Third Retry at:
Date /t
time < nul
osql -E -Snp:. -iLooksAliveBatch.sql  -b -n -l15 -t15 
echo Errorlevel: %errorlevel%
if NOT ERRORLEVEL 70000 goto :GetDump
goto :top


:GetDump
rem Attach to SQL and generate a UserDump By now we have already waited for 1 min from the first failure and have retried 3 times, hence get the dump
echo Attaching SQL to CDB and then getting Userdump
cdb -pn sqlservr.exe

